RubyGems Navigation menu

sortifiable 0.2.8

This gem provides an acts_as_list compatible capability for sorting and reordering a number of objects in a list. The class that has this specified needs to have a +position+ column defined as an integer on the mapped database table. This gem requires ActiveRecord 3.0 as it has been refactored to use the scope methods and query interface introduced with Ruby on Rails 3.0

Gemfile
          gem 'sortifiable', '~> 0.2.8'
  
  
  
  
  
  
  

install
          gem install sortifiable
  
  
  
  
  
  
  

Total downloads 12,287

For this version 768

Show all versions (12 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.2.8 - June 25, 2013 (12 KB)
  2. 0.2.7 - February 23, 2013 (12 KB)
  3. 0.2.6 - March 5, 2012 (12 KB)
  4. 0.2.5 - September 10, 2011 (11.5 KB)
  5. 0.2.4 - June 17, 2011 (12 KB)
Show all versions (12 total)